unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, XPMan, ExtCtrls;

type
  TForm1 = class(TForm)
    XPManifest1: TXPManifest;
    Panel1: TPanel;
    Label2: TLabel;
    Keywords: TMemo;
    Panel2: TPanel;
    Label1: TLabel;
    Memo1: TMemo;
    Splitter1: TSplitter;
    Panel3: TPanel;
    Label3: TLabel;
    Saveto: TEdit;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure UpdateActions; override;
  end;

var
  Form1: TForm1;

implementation

uses FileCtrl;
{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var S : String;
begin
  if SelectDirectory('Save files to','',S) then Saveto.Text := S;
end;

procedure TForm1.Button3Click(Sender: TObject);
var i : Integer;
    Line,Filename,KeyWord : String;
    F : TStringList;
    K: Integer;
begin
  F := TStringList.Create;
  if Saveto.Text[Length(Saveto.Text)] <> '\' then Saveto.Text := Saveto.Text+'\';
  K := 0;
  for i := 0 to Keywords.Lines.Count -1 do if Trim(Keywords.Lines[i])<>'' then begin
    KeyWord := StringReplace(Trim(Keywords.Lines[i]),' ','+',[rfReplaceAll]);
    Filename := StringReplace(Trim(Keywords.Lines[i]),' ','-',[rfReplaceAll]);
    Line := StringReplace(Memo1.Text,'<<key+words>>',KeyWord,[rfIgnoreCase,rfReplaceAll]);
    Line := StringReplace(Line,'<<keywords>>',Trim(Keywords.Lines[i]),[rfIgnoreCase,rfReplaceAll]);
    F.Text := Line;
    F.SaveToFile(Saveto.Text+Filename+'.html');
    Inc(K);
  end;
  F.Free;
  ShowMessage(Format('%d pages created in %s',[K,Saveto.Text]));
end;

procedure TForm1.UpdateActions;
begin
  inherited;
  Button3.Enabled := (Trim(Saveto.Text)<>'') and DirectoryExists(Trim(Saveto.Text)); 
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Application.Title := Caption;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  Memo1.WordWrap := True;
end;

end.
